local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"dipper",
	"gfbook1",
	"gfbook2",
	"gfbook3",
	"hat_pine",
}

ComponentFiles = {
	"journal",
	"journalknow",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/dipper.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/dipper.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/dipper.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/dipper.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/dipper_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/dipper_silho.xml" ),
	
    Asset( "IMAGE", "bigportraits/dipper.tex" ),
	Asset( "ATLAS", "bigportraits/dipper.xml" ),
	
	Asset( "ATLAS", "images/inventoryimages/gfbook1.xml" ),
	Asset( "IMAGE", "images/inventoryimages/gfbook1.tex" ),
	
	Asset( "ATLAS", "images/inventoryimages/gfbook2.xml" ),
	Asset( "IMAGE", "images/inventoryimages/gfbook2.tex" ),
	
	Asset( "ATLAS", "images/inventoryimages/gfbook3.xml" ),
	Asset( "IMAGE", "images/inventoryimages/gfbook3.tex" ),
			
	Asset( "IMAGE", "images/map_icons/dipper.tex" ),
	Asset( "ATLAS", "images/map_icons/dipper.xml" ),
}

function uniquebook1(inst)
	inst:AddTag("uniquebook1")
end

function uniquebook2(inst)
	inst:AddTag("uniquebook2")
end

function uniquebook3(inst)
	inst:AddTag("uniquebook3")
end

function jSpawn(player)
    if player.components.journalspawn then
        player.components.journalspawn:FindSpawn()
    end
end

function pcHat(player)
    local pineconehatRecipe = GLOBAL.Recipe("hat_pine", {Ingredient("twigs", 6), Ingredient("pinecone", 1), Ingredient("cutgrass", 8)}, RECIPETABS.DRESS, {SCIENCE =0} )
	pineconehatRecipe.atlas = "images/inventoryimages/hat_pine.xml"
end

GLOBAL.STRINGS.NAMES.GFBOOK1 = "Journal 1"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GFBOOK1 = "It's mostly shopping lists and song lyrics."
GLOBAL.STRINGS.NAMES.GFBOOK2 = "Journal 2"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GFBOOK2 = "The second book seems more... evil."
GLOBAL.STRINGS.NAMES.GFBOOK3 = "Journal 3"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GFBOOK3 = "A lot of weird stuff in here."
GLOBAL.STRINGS.NAMES.HAT_PINE = "Pine Tree Hat"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_PINE = "A souvenir from the shack."
GLOBAL.STRINGS.RECIPE_DESC.HAT_PINE = "A souvenir from the shack."

AddSimPostInit(jSpawn)
AddSimPostInit(pcHat)
AddPrefabPostInit('gfbook1', uniquebook1)
AddPrefabPostInit('gfbook2', uniquebook2)
AddPrefabPostInit('gfbook3', uniquebook3)
AddPrefabPostInit('hat_pine')
AddComponentPostInit('journal')
AddComponentPostInit('journalknow')
AddMinimapAtlas("images/map_icons/dipper.xml")
AddModCharacter("dipper")

