local MakePlayerCharacter = require "prefabs/player_common"

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/dipper.zip" ),
		Asset( "ANIM", "anim/gfbooks.zip"),
		Asset( "ANIM", "anim/hat_pine.zip"),
}
local prefabs = { "gfbook1", "gfbook2", "gfbook3", "hat_pine"}

local start_inv = { "gfbook3", "hat_pine"}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wickerbottom"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "dipper.tex" )
	
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.15)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.3)
	inst.components.hunger:SetMax(TUNING.WILSON_HUNGER * 0.9)
	inst.components.combat.damagemultiplier = 0.7
	inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME) / 2

	-- todo: Add an example special power here.

	inst:AddComponent("journalspawn")
	
	inst:AddComponent("journalknow")
	
end


-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.dipper = "The Studious Brother"
STRINGS.CHARACTER_NAMES.dipper = "Dipper"
STRINGS.CHARACTER_DESCRIPTIONS.dipper = "*Very mature for his age\n*Wears a body warmer\n*Has a mysterious journal"
STRINGS.CHARACTER_QUOTES.dipper = "\"Let's show Grunkle Stan how a real mystery hunter does it!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.DIPPER = require "speech_dipper"

return MakePlayerCharacter("dipper", prefabs, assets, fn, start_inv)
